<?php
/**
 * @version		1.0.5
 * @package		Joomla
 * @subpackage	Edocman
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
?>
<?php JHTML::_('behavior.tooltip'); ?>
<?php
	// Set toolbar items for the page
	JToolBarHelper::title(JText::_( 'COM_EDOCMAN_CONFIGURATION' ), 'config' );
	JToolBarHelper::save('configuration.save');
?>
<style>
	table.alignleft td {
		text-align: left;
	}
</style>
<form action="index.php" method="post" name="adminForm">
	<?php
		echo $this->tabs->startPane('content-pane');
		echo $this->tabs->startPanel(JText::_('COM_EDOCMAN_GENERAL'),'general-page');
	?>
		<table class="adminform" style="width:100%;">											
			<tr>
				<td class="key" width="15%">
					<?php echo JText::_('COM_EDOCMAN_DOCUMENT_PATH') ; ?>
				</td>
				<td width="40%">
					<input type="text" name="documents_path" class="inputbox" value="<?php echo $this->config->documents_path; ?>" size="50" />
					<?php 
						if (!is_writable($this->config->documents_path)) {
						?>
							<span style="color:red; font-weight: bold;"><?php echo JText::_('COM_EDOCMAN_DOCUMENT_PATH_NOT_WRITABLE') ?></span>
						<?php	
						}
					?>
					<input type="button" class="button" onclick="resetPath();" value="<?php echo JText::_('COM_EDOCMAN_RESET');?>" />
				</td>
				<td>
					<?php echo JText::_('COM_EDOCMAN_DOCUMENT_PATH_EXPLAIN'); ?>
				</td>
			</tr>
			<tr>
				<td class="key" width="15%">
					<?php echo JText::_('COM_EDOCMAN_ACTIVATE_MULTILINGUAL_FEATURE') ; ?>
				</td>
				<td width="40%">
					<?php echo $this->lists['activate_multilingual_feature']; ?>
				</td>
				<td>
					<?php echo JText::_('COM_EDOCMAN_ACTIVATE_MULTILINGUAL_FEATURE_EXPLAIN'); ?>
				</td>
			</tr>
			<tr>
				<td class="key" width="15%">
					<?php echo JText::_('COM_EDOCMAN_ACTIVATE_HERACHICAL_FOLDER_STRUCTURE') ; ?>
				</td>
				<td width="40%">
					<?php echo $this->lists['activate_herachical_folder_structure']; ?>
				</td>
				<td>
					<?php echo JText::_('COM_EDOCMAN_ACTIVATE_HERACHICAL_FOLDER_STRUCTURE_EXPLAIN'); ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('File Upload Method'); ?>
				</td>
				<td>
					<?php echo $this->lists['file_upload_method']; ?>
				</td>
				<td>
					&nbsp; 
				</td>
			</tr>						
			<tr>
				<td class="key">
					<?php echo JText::_('Allowed File Types') ; ?>
				</td>
				<td>
					<input type="text" name="allowed_file_types" class="inputbox" value="<?php echo $this->config->allowed_file_types; ?>" size="50" />
				</td>
				<td>
					Enter file extensions of allowed file types (without . character, sepearted by ,) . For example pdf,zip,doc
				</td>
			</tr>
			
			<tr>
				<td>
					<?php echo JText::_('Require ASCII File Name'); ?>
				</td>
				<td>
					<?php echo $this->lists['require_ascii_filename']; ?>
				</td>
			</tr>
			
			<!--<tr>
				<td>
				<td>
					<?php //echo JText::_('Show Thumb'); ?>
				</td>
				<td>
					<?php //echo $this->lists['show_thumb']; ?>
				</td>
			</tr>-->
			
			<tr>
				<td>
					<?php echo JText::_('Show View Button'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_view_button']; ?>
				</td>
				<td>
					If set to Yes, for document with the file extension allowed below, there will be a button which allows users to click on the document and view it directly on web browser
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('File Extensions for viewing') ; ?>
				</td>
				<td>
					<input type="text" name="exts_for_view" class="inputbox" value="<?php echo $this->config->exts_for_view; ?>" size="50" />
				</td>
				<td>
					Enter file extensions of file types (without . character, sepearted by ,) which you want to allows users to view directly on browser. For example pdf,txt,html,jpg
				</td>
			</tr>
			
			<tr>
				<td class="key">
					<?php echo JText::_('Max Upload File Size') ; ?>
				</td>
				<td>
					<input type="text" name="max_file_size" class="inputbox" value="<?php echo $this->config->max_file_size; ?>" size="5" />					
					<?php echo $this->lists['max_filesize_type'] ; ?>&nbsp;&nbsp;&nbsp;<?php echo JText::_('Default INI setting'); ?>: <strong><?php echo ini_get('upload_max_filesize'); ?></strong>
				</td>
				<td>
					Max filesize which are allowed for uploading
				</td>
			</tr>						
			<tr>
				<td class="key">
					<?php echo JText::_('Require approve new document ?'); ?>
				</td>
				<td>
					<?php echo $this->lists['require_admin_approve']; ?>
				</td>
				<td>
					If set to Yes , the new uploaded documents will be unpublished until admin publish it
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Category Thumb Width') ; ?>					
				</td>
				<td>
					<input type="text" name="category_thumb_width" class="inputbox" value="<?php echo $this->config->category_thumb_width; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Category Thumb Height') ; ?>					
				</td>
				<td>
					<input type="text" name="category_thumb_height" class="inputbox" value="<?php echo $this->config->category_thumb_height; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Document Thumb Width') ; ?>					
				</td>
				<td>
					<input type="text" name="document_thumb_width" class="inputbox" value="<?php echo $this->config->document_thumb_width; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Document Thumb Height') ; ?>					
				</td>
				<td>
					<input type="text" name="document_thumb_height" class="inputbox" value="<?php echo $this->config->document_thumb_height; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>																									
			<tr>
				<td class="key">
					<?php echo JText::_('Date Format') ; ?>					
				</td>
				<td>
					<input type="text" name="date_format" class="inputbox" value="<?php echo $this->config->date_format; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Days for new') ; ?>					
				</td>
				<td>
					<input type="text" name="day_for_new" class="inputbox" value="<?php echo $this->config->day_for_new; ?>" size="10" />
				</td>
				<td>
					<?php echo JText::_('Number of days which the document is marked as new'); ?>
				</td>
			</tr>														
			<tr>
				<td class="key">
					<?php echo JText::_('Downloads to hot') ; ?>					
				</td>
				<td>
					<input type="text" name="downloads_to_hot" class="inputbox" value="<?php echo $this->config->downloads_to_hot; ?>" size="10" />
				</td>
				<td>
					<?php echo JText::_('Number of downloads for the document so that It is marked as host'); ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Activate Cart Feature'); ?>
				</td>
				<td>
					<?php echo $this->lists['enable_cart']; ?>
				</td>
				<td>
					if set to Yes, users can add serveral documents into "cart" before downloading
				</td>					
			</tr>	
			<tr>
				<td class="key">
					<?php echo JText::_('Log Downloads'); ?>
				</td>
				<td>
					<?php echo $this->lists['download_log']; ?>
				</td>
				<td>
					<?php echo JText::_('If set to Yes, whenever a user download a document, a record about the download will be created to log the download. You can see the log by accessing to Downloads Log function in the back-end'); ?>
				</td>
			</tr>													
			<tr>
				<td class="key">
					<?php echo JText::_('Processing Content Plugin'); ?>
				</td>
				<td>
					<?php echo $this->lists['process_plugin']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>																	
		</table>
		<?php
		echo $this->tabs->endPanel();	
		echo $this->tabs->startPanel(JText::_('Messages'),'message-page');
	?>
		<table class="adminform" width="100%">
			<tr>
				<td class="key" width="18%">
					<?php echo JText::_('Notification Emails') ; ?>
				</td>
				<td>
					<input type="text" name="notification_emails" class="inputbox" value="<?php echo $this->config->notification_emails; ?>" size="50" />
				</td>
				<td>
					Email of users who will receive notificaiton when someone upload documents from front-end.You can put multiple email here, command seperated (For example sales@joomdonation.com,accounting@joomdonation.com)
				</td>
			</tr>	
			<tr>
				<td class="key">
					<?php echo JText::_('Download notification') ; ?>
				</td>
				<td>
					<?php echo $this->lists['download_notification']; ?>
				</td>									
				<td>
					If set to Yes, administrators will received notification email when someone download free documents
				</td>					
			</tr>					
			<tr>
				<td class="key">
					<?php echo JText::_('Download notification email subject'); ?>
				</td>
				<td>
					<input type="text" name="download_email_subject" class="inputbox" value="<?php echo $this->config->download_email_subject; ?>" size="70" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>			
			<tr>
				<td class="key">
					<?php echo JText::_('Download email body'); ?>
				</td>
				<td>
					<textarea rows="10" cols="70" name="download_email_body"><?php echo $this->config->download_email_body;?></textarea>
				</td>
				<td>
					Available tags : [USERNAME], [DOCUMENT_TITLE], [USER_IP]
				</td>
			</tr>
			
			<tr>
				<td class="key">
					<?php echo JText::_('Upload Notification') ; ?>
				</td>
				<td>
					<?php echo $this->lists['upload_notification']; ?>
				</td>									
				<td>
					If set to Yes, administrators will received notification email when someone download free documents
				</td>					
			</tr>					
			<tr>
				<td class="key">
					<?php echo JText::_('Upload notification email subject'); ?>
				</td>
				<td>
					<input type="text" name="upload_email_subject" class="inputbox" value="<?php echo $this->config->upload_email_subject; ?>" size="70" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>			
			<tr>
				<td class="key">
					<?php echo JText::_('Upload email body'); ?>
				</td>
				<td>
					<textarea rows="10" cols="70" name="upload_email_body"><?php echo $this->config->upload_email_body;?></textarea>
				</td>
				<td>
					Available tags : [USERNAME], [DOCUMENT_TITLE], [USER_IP]
				</td>
			</tr>									
		</table>	
	<?php	
		echo $this->tabs->endPanel();		
		echo $this->tabs->startPanel(JText::_('Themes'),'theme-page');
	?>
		<table class="adminform" width="100%">
			<tr>
				<td colspan="3" class="key">
					<strong><?php echo JText::_('Categories View'); ?></strong>
				</td>
			</tr>			
			<tr>
				<td width="20%" class="key">
					<?php echo JText::_('Show empty Categories'); ?>
				</td>
				<td width="15%">
					<?php echo $this->lists['show_empty_cat']; ?>
				</td>
				<td>
					&nbsp;
				</td>				
			</tr>				
			<tr>
				<td class="key">
					<?php echo JText::_('Show Number of Documents'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_number_documents']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Categories per Page'); ?>
				</td>
				<td>
					<input type="text" name="number_categories" class="inputbox" value="<?php echo $this->config->number_categories; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			
			<tr>
				<td colspan="3" class="key">
					<strong><?php echo JText::_('Sub-categories'); ?></strong>
				</td>
			</tr>			
			<tr>
				<td class="key">
					<?php echo JText::_('Show sub-categories icon'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_subcategory_icon']; ?>
				</td>
				<td>
					&nbsp;
				</td>				
			</tr>				
			<tr>
				<td class="key">
					<?php echo JText::_('Show sub-categories description'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_subcategory_description']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Number sub-categories per row'); ?>
				</td>
				<td>
					<input type="text" name="number_subcategories" class="inputbox" value="<?php echo $this->config->number_subcategories ? $this->config->number_subcategories : 3; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			
			<tr>
				<td colspan="3" class="key">
					<strong><?php echo JText::_('Category View'); ?></strong>
				</td>
			</tr>											
			<tr>
				<td class="key">
					<?php echo JText::_('Documents per Page'); ?>
				</td>
				<td>
					<input type="text" name="number_documents" class="inputbox" value="<?php echo $this->config->number_documents; ?>" size="10" />
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Number of Columns in Column Layout'); ?>
				</td>
				<td>
					<input type="text" name="number_columns" class="inputbox" value="<?php echo $this->config->number_columns; ?>" size="10" />
				</td>	
				<td>
					&nbsp;
				</td>			
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Show Document Detail in Popup'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_detail_in_popup']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>			
			<tr>
				<td class="key">
					<?php echo JText::_('Show Publish Date'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_publish_date']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Show sort options'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_sort_options']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Default sort option'); ?>
				</td>
				<td>
					<?php echo $this->lists['default_sort_option']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Default sort direction'); ?>
				</td>
				<td>
					<?php echo $this->lists['default_sort_direction']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td colspan="3" class="key">
					<strong><?php echo JText::_('Document Detail View'); ?></strong>
				</td>
			</tr>
			
			<tr>
				<td class="key">
					<?php echo JText::_('Show Short Description'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_short_description']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			
			<tr>
				<td class="key">
					<?php echo JText::_('Show Description'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_description']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>	
						
			<tr>
				<td class="key">
					<?php echo JText::_('Show Hits'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_hits']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>				
			<tr>
				<td class="key">
					<?php echo JText::_('Show File Name'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_filename']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>	
			<tr>
				<td class="key">
					<?php echo JText::_('Show File Size'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_filesize']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>				
			<tr>
				<td class="key">
					<?php echo JText::_('Show File Type'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_filetype']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Show Creation Date'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_creation_date']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Show Modify Date'); ?>
				</td>
				<td>
					<?php echo $this->lists['show_modified_date']; ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>				
		</table>	
	<?php	
		echo $this->tabs->endPanel();				
		echo $this->tabs->startPanel(JText::_('Fields'),'payment-page');
	?>		
		<table class="adminform">
			<tr>
				<td class="key"><strong><?php echo JText::_('Field'); ?></strong></td>
				<td class="key" style="padding-left:35px;"><strong><?php echo JText::_('Show'); ?></strong></td>
				<td class="key" style="padding-left:35px;"><strong><?php echo JText::_('Require'); ?></strong></td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key" width="20%">
					<?php echo JText::_('Last Name'); ?>
				</td>
				<td align="center" width="15%">
					<?php echo  $this->lists['s_lastname'];  ?>
				</td>
				<td align="center" width="15%">
					<?php echo  $this->lists['r_lastname'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>			
			<tr>
				<td class="key">
					<?php echo JText::_('Organization'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_organization'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_organization'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Address'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_address'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_address'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Address2'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_address2'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_address2'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('City'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_city'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_city'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('State'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_state'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_state'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Zip'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_zip'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_zip'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Country'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_country'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_country'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Phone'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_phone'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_phone'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Fax'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_fax'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_fax'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('Comment'); ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['s_comment'];  ?>
				</td>
				<td align="center">
					<?php echo  $this->lists['r_comment'];  ?>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>
		</table>
	<?php
		echo $this->tabs->endPanel();			
		jimport('joomla.filesystem.file') ;
		if (JFile::exists(JPATH_ROOT.'/components/com_sh404sef/sh404sef.php')) {
		    echo $this->tabs->startPanel(JText::_('SEF plugin setting'), 'sef-setting-page');
		    ?>
    		<table class="adminform">
    			<tr>
    				<td colspan="3">
    					<p class="message"><strong>You only need to change the settings on this tab if you are using sh404 on your site</strong></p>
    				</td>
    			</tr>
    			<tr>
    				<td width="20%" class="key">    					
    					Insert Menu Title
    				</td>
    				<td>
    					<?php
    					    echo $this->lists['insert_menu_title'] ;
    					?>					
    				</td>
    				<td>
    					If set to Yes, the title of menu item lead to Edocman component will be added to all urls
    				</td>
    			</tr>
    			<tr>
    				<td width="30%" class="key">
    					Insert Document ID
    				</td>
    				<td>
    					<?php
    					    echo $this->lists['insert_document_id'] ;
    					?>					
    				</td>
    				<td>
    					If set to Yes, Document ID will be prepended to document title, which is needed in case you have documents with same name
    				</td>
    			</tr>       			
    			<tr>
    				<td width="30%" class="key">
    					Insert Document Title
    				</td>
    				<td>
    					<?php
    					    echo $this->lists['insert_document_title'] ;
    					?>					
    				</td>
    				<td>
    					If set to Yes, Document title will be inserted to add SEF url leading to an action on this document
    				</td>
    			</tr>    			
    			<tr>
    				<td width="30%" class="key">
    					Insert Category ID
    				</td>
    				<td>
    					<?php
    					    echo $this->lists['insert_category_id'] ;
    					?>					
    				</td>
    				<td>
    					If set to Yes, category ID will be prepended to it's name, which is needed in case you have categories with same name
    				</td>
    			</tr>
    			<tr>
    				<td width="30%" class="key">
    					Insert Category
    				</td>
    				<td>
    					<?php
    					    echo $this->lists['insert_category'] ;
    					?>					
    				</td>
    				<td>
    					&nbsp;
    				</td>
    			</tr>
    		</table>
    	<?php	
		echo $this->tabs->endPanel();			       
		}							
		echo $this->tabs->endPane();
	?>	
	<input type="hidden" name="option" value="com_edocman" />
	<input type="hidden" name="task" value="" />	
	<script language="javascript">
		function resetPath() {
			var form = document.adminForm ;
			var path = '<?php echo $this->path; ?>';
			form.documents_path.value = path ;
		}
	</script>
</form>
